v. 1.0.7-2 (2026-01-28):
Úpravy v dokumentácii:
- rbuz_r3_datasets_and_codelists_v1.0.7-2.xlsx
	- aktualizácia ECB číselníka National identifier Type (CL_ECB_TYP_NTNL_CD_CLLCTN)
	- aktualizácia ECB číselníka Legal forms (CL_LGL_FRM_CLLCTN)
	- aktualizácia číselníka Currency (ISO4217)
	- zmena číselníka Economic Activity (NACE21)
	- navýšenie maximálneho počtu znakov v atribúte Building number
	- povolenie vykazovania hodnoty NOT_APPLICABLE v atribúte DT_PRFRMNG_STTS 
	- nastavenie dolného ohraničenia pre atribút NBS_OTSTNDNG_BLNC

- rbuz_r3_validation_checks_v1.0.7-2.xlsx
	- rozšírenie Reporting member states - BG (Completeness - Counterparty, NBS_CN1659)
	- úprava validačných kontrol NBS_CN1320, NBS_VAL_RS_070
	- pridanie validačnej kontroly NBS_CN1683


v. 1.0.7-1 (2025-04-16):
Úpravy v dokumentácii:
- rbuz_r3_datasets_and_codelists_v1.0.7-1.xlsx
	- aktualizácia ECB číselníka Address: Territorial Unit (NUTS3)
	- aktualizácia ECB číselníka National identifier Type (CL_ECB_TYP_NTNL_CD_CLLCTN)
	- aktualizácia číselníka Currency (ISO4217)
	- nastavenie horného ohraničenia pre atribút Interest Rate
	- zmena horného ohraničenia pre atribút Conversion Factor

- rbuz_r3_validation_checks_v1.0.7-1.xlsx
	- úprava hornej hranice intervalu v Zozname extrémnych/neobvyklých hodnôt pre Conversion Factor


v. 1.0.7 (2024-09-06):
Úpravy vo formulároch:
- request\result:
	- pridaný formulár OwnersSubjectList
	- pridané atribúty PRTCTN_PRVDR_CD a TYP_PRTCTN_PRVDR_CD do výsledného log súboru

Úpravy v dokumentácii:
- rbuz_r3_validation_checks_v1.0.7.xlsx	
	-harmonizácia vyhodnotenia úplnosti klientskych údajov (záložka "Completeness - Counterparty")
	-zneplatnenie validacií CN1009 a CN1010 pre podsuvahové nástroje
	-navýšenie hornej hranice intervalu v Zozname extrémnych/neobvyklých hodnôt pre atribút "Risk weight"
	-pridanie validačných kontrol NBS_VAL_RS_070, NBS_VAL_RS_071, NBS_VAL_RS_072
	-úprava validačných kontrol NBS_VAL_RS_038, NBS_VAL_RS_054

- rbuz_r3_datasets_and_codelists_v1.0.7.xlsx
	- aktualizácia ECB číselníka Legal forms (CL_LGL_FRM_CLLCTN)
	- aktualizácia ECB číselníka National identifier Type (CL_ECB_TYP_NTNL_CD_CLLCTN)
	- doplnenie Description-SK na záložke NBS_TYP_RL_ESTT_CLLTRL

- RBUZ R3 - Prenosove formaty v2.7.pdf 
	- pridanie nového formulára OwnersSubjectList, ktorý umožňuje získať zoznam všetkých vlastníkov bytov a nebytových priestorov evidovaných v systéme


v. 1.0.6 (2024-04-22):
Úpravy v dokumentácii:
- rbuz_r3_validation_checks_v1.0.6-1.xlsx
	- pridanie validačných kontrol CN1000,CN1001,CN1002,CN1003,CN1006,CN1007,CN1008,CN1009,CN1010,CN1011,CN1012,NBS_VAL_RS_068,NBS_VAL_RS_069
	- pridanie validačnej kontroly CN1004 do "Zoznamu extrémnych/neobvyklých hodnôt a validačných nekonzistencií"
	- presun validačných kontrol do "Zoznamu extrémnych/neobvyklých hodnôta validačných nekonzistenciíZoznam extrémnych/neobvyklých hodnôta validačných nekonzistencií"
		(CN0230,CN0622,CN0716,CN0801,CN0805,CN0806,CN0807,CN0809,CN0832,CN0845)
	- zrušenie validačných kontrol CN0470,CN0714,CN0827,CN0868,CN0901,NBS_CN1380
	- úprava validačnej kontroly CN0825
	- zrušenie záložky "Consistency-comments" a premiestnenie daných informácii priamo k jednotlivým validáciam
	- úprava hraníc intervalu v Zozname extrémnych/neobvyklých hodnôt pre atribúty "Interest Rate Spread Margin" a "Risk weight"

- rbuz_r3_datasets_and_codelists_v1.0.6-1.xlsx
	- aktualizácia ECB číselníka Legal forms (CL_LGL_FRM_CLLCTN)
	- aktualizácia ECB číselníka National identifier Type (CL_ECB_TYP_NTNL_CD_CLLCTN)

- rbuz_r3_error_codes_v1.0.6-1.xlsx
	- pridané nové chybové kódy E0168, E0169


v. 1.0.6 (2024-01-08):
Úpravy vo formulároch:
-submission:
	-rozšírenie zberu o nové atribúty
		-"Zmluvný vzťah" (Contractual relationship)
		-"Druh projektového financovania" (Type of project finance loan)
		-"Dlžná čiastka" (Outstanding balance)
		-"Druh nehnuteľnosti" (Type of real estate collateral)
		-"Nehnuteľnosť vo výstavbe" (Real estate collateral under construction)
	-reportovanie hodnoty NOT_AVAILABLE bude systémom odmietnuté a vyhodnotené ako INVALID VALUE

- request\result:
	-rozšírenie zoznamu atribútov poskytovaných v odpovedi na dopyt Portfolio a InstrumentHistory
		-"Zmluvný vzťah" (Contractual relationship)
		-"Druh projektového financovania" (Type of project finance loan)
		-"Dlžná čiastka" (Outstanding balance)
		-"Druh nehnuteľnosti" (Type of real estate collateral)
		-"Nehnuteľnosť vo výstavbe" (Real estate collateral under construction)
	-rozšírenie zoznamu atribútov poskytovaných v odpovedi na dopyt SubjectData
		-"Status Of Legal Proceedings Codelist Type"
		-"Status Of Legal Proceedings"
		-"Date Of Initiation Of Legal Proceedings"
		-"Enterprise Size"
		-"Date Of Enterprise Size"
		-"Number Of Employees"
		-"Balance Sheet Total"
		-"Annual Turnover"
	-úprava výstupov na dopyt CreditData - individuálne údaje
		-z výstupu IndividualCreditData  bola zrušená časť "Individual_CrData_Counterparty"
		-z výstupu IndividualCreditData boli odstránené atribúty 
			-"Date Of Default Status Of The Instrument"
			-"Default Status Of The Instrument"
		-do výstupu IndividualCreditData boli pridané atribúty
			-"Contractual relationship"
			-"Country of Observed Agent"
			-"Count: Country Of Creditor"
			-"Outstanding balance"
			-"Default Status"
	-úprava výstupov na dopyt CreditData - súhrnné údaje
		-z výstupu AggregatedCreditData boli odstránené atribúty
			-"Count: Default Status Of The Counterparty"
			-"Count: Default Status Of The Instrument"
		-do výstupu AggregatedCreditData boli pridané atribúty 
			-"Count: Contractual relationship"
			-"Count: Country of Observed Agent"
			-"Sum: Outstanding balance"
			-"Count: Default Status"

- submission\request\result:
	-úprava slovenského a anglického názvoslovia niektorých atribútov
		-zmena "Nedoplatky na úrokoch za nástroj" na "Nedoplatky na úrokoch a poplatkoch za nástroj"
		-zmena "Arrears Of Interest For The Instrument" na "Arrears Of Interest and Fees For The Instrument"
		-zmena "Identifikátor právnickej osoby (Legal entity identifier – LEI)" na "Identifikátor právnickej osoby (LEI)"
		-zmena "Hodnota straty v prípade zlyhania úveru " na "Hodnota straty v prípade zlyhania"
		-zmena "Výška rizikovej váhy úveru" na "Výška rizikovej váhy"
		-zmena "Výška očakávanej straty úveru" na "Výška očakávanej straty"
		-zmena "Adresa: popisné číslo" na "Adresa: orientačné číslo"


Úpravy v dokumentácii:
- rbuz_r3_validation_checks_v1.0.5-6.xlsx
	-pridanie validačných kontrol NBS_CN1671, NBS_CN1672, NBS_CN1673, NBS_CN1674, NBS_CN1675, NBS_CN1676, NBS_CN1677, NBS_CN1678, NBS_CN1679, NBS_CN1680, NBS_CN1681, NBS_CN1682
	-zrušenie validačnej kontroly NBS_CN1190
	-zosúladenie ECB a národných požiadaviek ("Completeness - Counterparty"+"NBS_Completeness - Counterparty")
	-doplnenie záložky pre validácie kreditných údajov od referenčného dátumu 2024/07 (Completeness-Credit data_202407)




v. 1.0.5-6 (2023-11-13):
Úpravy v dokumentácii:
- rbuz_r3_validation_checks_v1.0.5-6.xlsx
	- úprava hornej hranice intervalu v Zozname extrémnych/neobvyklých hodnôt pre NBS_LSS_GVN_DFLT z 1,4 na 40

- rbuz_r3_datasets_and_codelists_v1.0.5-6.xlsx
	- odstránenie horného(Max) ohraničenia pre atribút NBS_RSK_WGHT


v. 1.0.5-5 (2023-10-12):
Úpravy v dokumentácii:
- rbuz_r3_validation_checks_v1.0.5-5.xlsx
	- Úprava v generovaní zostavy "Neaktualizované záznamy o nástrojoch" (pridanie typu "Redundant_protection")
	- rozšírenie Zoznamu extrémnych/neobvyklých hodnôt o typ "Missing instrument-protection record"
	- úprava dolnej/hornej hranice intervalu v Zozname extrémnych/neobvyklých hodnôt pre 11 atribútov
	- dynamické ohraničenie platnosti validácií na posledných 12 referenčných dátumov 
		(CN0290,CN0520,CN0530,CN0640,CN0661,CN0801,CN0804,CN0805,CN0806,CN0807,CN0809,CN0810,CN0812,CN0813,CN0925,CN0935,CN0950)

- rbuz_r3_datasets_and_codelists_v1.0.5-5.xlsx
	- aktualizácia ECB číselníka Legal forms (CL_LGL_FRM_CLLCTN)

v. 1.0.5-4 (2022-10-03):
Úpravy v dokumentácii:
- rbuz_r3_validation_checks_v1.0.5-4.xlsx
	- pridanie validačných kontrol NBS_CN1667,NBS_CN1668,NBS_CN1669,NBS_CN1670,NBS_VAL_RS_067
	- úprava NBS_CN1664 na warning
	- odstránenie neaktívnych validačných kontrol (CN0560, CN0570, CN0590, CN0600, CN0610)
	- implementácia ECB Validation checks v.1.7
		- odstránenie validačných kontrol (CN0280, CN0542, CN0551, CN0552, CN0703, CN0848, CN0849, CN0867)
		- pridanie validačných kontrol (CN0705, CN0707, CN0712, CN0713, CN0714, CN0715, CN0716, CN0832, CN0833)
		- úprava validačných kontrol (CN0541, CN0702, CN0804, CN0810, CN0827, CN0852)
	- rozšírenie Zoznamu extrémnych/neobvyklých hodnôt o typy "Fiduciary Instrument" a "Subordinated Debt"
	- Úprava v generovaní zostavy "Neaktualizované záznamy o nástrojoch" (protection)

- rbuz_r3_datasets_and_codelists_v1.0.5-4.xlsx
	- aktualizácia ECB číselníka National identifier Type (CL_ECB_TYP_NTNL_CD_CLLCTN)
	- odstránenie hodnoty XX z číselníka Country (ISO3166)

- rbuz_r3_error_codes_v1.0.5-4.xlsx
	- pridaný nový chybový kód E0167
	- úprava v popise chybového kódu E1206

- rbuz_r3_request_v1.0.5_sample_CreditData
	- atribút DT_RFRNC bol zmenený na nepovinný atribút

- rbuz_r3_request_v1.0.5_sample1.xml
	- atribút DT_RFRNC v časti CreditData bol zmenený na nepovinný atribút

v. 1.0.5-3 (2022-04-25):
Úpravy v dokumentácii:
- rbuz_r3_validation_checks_v1.0.5-3.xlsx
	- pridanie validačných kontrol NBS_CN1663, NBS_CN1664,NBS_CN1665,NBS_CN1666,NBS_VAL_RS_066
	- spustenie validačnej kontroly NBS_CN1658
	- rozšírenie Zoznamu extrémnych/neobvyklých hodnôt o typ "Settlement Date/Outstanding Nominal Amount"
	- úprava hornej hranice pre atribút Loss Given Default

- rbuz_r3_datasets_and_codelists_v1.0.5-3.xlsx
	- rozšírenie číselníka Type Of Impairment (CL_AC_IMPRMNT_STTS_CLLCTN) o hodnotu 27- POCI (IFRS)
	- aktualizácia ECB číselníka National identifier Type (CL_ECB_TYP_NTNL_CD_CLLCTN)

- rbuz_r3_error_codes_v1.0.5-3.xlsx
	- pridané nové chybové kódy E0165, E0166,E1234


v. 1.0.5-2 (2022-01-31):
Úpravy v dokumentácii: 
- rbuz_r3_validation_checks_v1.0.5-2
	- úprava validácie NBS_CN1040
	- úprava hornej hranice pre atribút Loss Given Default

- rbuz_r3_datasets_and_codelists_v1.0.5-2.xlsx
	- rozšírenie číselníka Reference rate (CL_RIAD_RFRNC_RT_CLLCTN ) o hodnoty 148-SONIA, 149-SARON,150-TONA,151-HONIA,152-SORA
	- aktualizácia ECB číselníka Legal forms (CL_LGL_FRM_CLLCTN)
	- zmena názvu pre položky CY_IF_CD, LU_IF_CD, MX_RFC_CD číselníka National identifier Type (CL_ECB_TYP_NTNL_CD_CLLCTN) 


v. 1.0.5-1 (2021-11-09):
Úpravy v dokumentácii: 
- rbuz_r3_validation_checks_v1.0.5-1
	- pridanie validačných kontrol NBS_VAL_RS_065, NBS_CN1659, NBS_CN1660, NBS_CN1661, NBS_CN1662
	- rozšírenie Zoznamu extrémnych/neobvyklých hodnôt o typ "Real estate collateral location"
- rbuz_r3_datasets_and_codelists_v1.0.5-1.xlsx
	- pridanie popisov "Description-SK" na záložkách submission-attributes, result-attributes, NBS_INSTRMNT_STTS, NBS_CD_TYP, NBS_RESULT_SUBJ_INFO_STTS
- RBUZ R3 - Prenosove formaty v2.6.pdf 
	- rozšírenie informácií o formulároch CDFLAdhoc, CDFLRegular
	- úprava limitov v časti „Limitovanie počtu dopytov“

v. 1.0.5 (2021-08-16):
Úpravy vo formulároch:
- request\result:
	- pridané formuláre CDFLAdhoc a CDFLRegular
	- úprava výstupov na dopyty Subjectdata, ForeignSubjectList, BlockedSubjectList, DuplicatedSubjectList
		- pridané atribúty RIAD_CODE,IMMDT_PRNT_UNDRTKNG_CD,TYP_IMMDT_PRNT_UNDRTKNG_CD, DT_BRTH, DT_CLS
		- zlúčenie atrubútov NTNL_CD, TYP_NTNL_CD, OTHR_NTNL_CD do NTNL_CDS
	- odstránenie medzier pri súhrnných atribútoch vo výstupných súboroch na dopyt CreditData
	- do súhrnného výpisu boli pridané atribúty 
		- Spolu: Hodnota záväzkov
		- Minimum: Dátum po termíne splatnosti nástroja
		- Počet: Dátum po termíne splatnosti nástroja
		- Minimum: Dátum vzniku
		- Maximum: Právny konečný dátum splatnosti
		- Počet: Identifikátor zmluvy

Úpravy v dokumentácii: 
- rbuz_r3_validation_checks_v1.0.5
	-pridanie záložiek "NBS_Consistency - Counterparty", "NBS_Late_report", "NBS_implausibility-report"
	-aktualizácia záložky "Consistency-comments"
- rbuz_r3_error_codes_v1.0.5.xlsx 
    	- pridané nové chybové kódy E1028, E1231, E1232, E1233 a odstránený kód E0129
- rbuz_r3_datasets_and_codelists_v1.0.5.xlsx
	- aktualizácia ECB číselníkov National identifiers, Legal forms a NUTS3
	- úprava Ekonomická činnosť na Economic activity
	- úprava Min/Max ohraničení pre atribúty NBS_LSS_GVN_DFLT, ACCMLTD_CHNGS_FV_CR

v. 1.0.4-1 (2020-12-03):
Úpravy v dokumentácii: 
- rbuz_r3_validation_checks_v1.0.4-1
	-rozdelenie validácii CN0541, CN0551 na CN0541 + CN0542, CN0551+CN0552
	-zmiernenie validácie CN0847
	-oprava CY validácií v prípade fondov v súlade s metodikou
	-úprava CT validácií v prípade reportingu odpisov
	-pridanie NBS_CN1657, NBS_CN1658(warning)

v. 1.0.4 (2020-10-23):
Úpravy vo formulároch:
- request\result:
	- pridaný formulár RemapProtection
Úpravy v dokumentácii: 
- rbuz_r3_error_codes_v1.0.3.xlsx 
    	- pridané chybové kódy 
- rbuz_r3_datasets_and_codelists_v1.0.3.xlsx
	- rozšírenie číselníka Reference rate (CL_RIAD_RFRNC_RT_CLLCTN ) o hodnoty 146-€STR a 147-SOFR
	- aktualizácia ECB číselníka National identifiers a ŠÚSR číselníkov CL000056 a CL010108
- rbuz_r3_validation_checks_v1.0.3.xlsx
 	- pridaná nová validácia NBS_CN1656 v súvislosti s rozšírením číselníka CL_RIAD_RFRNC_RT_CLLCTN 
- RBUZ R3 - Prenosove formaty v2.4.pdf 
	- pridanie nového formulára RemapProtection, ktorý umožňujem zmenu identifikátora zabezpečenia

v. 1.0.3-2 (2020-08-13):
Úpravy v dokumentácii: 
- rbuz_r3_validation_checks_v1.0.3-2
	- úprava validácie CY0030

v. 1.0.3-1 (2020-05-06):
Úpravy vo formulároch:
- submission
	- pridaný kód 13 do číselníka CL_NBS_INSTRMNT_STTS_CLLCTN v tabuľke InstrumentData
Úpravy v dokumentácii: 
- rbuz_r3_datasets_and_codelists_v1.0.3-1.xlsx
	- zmena číselníka CL_NBS_INSTRMNT_STTS_CLLCTN 
- rbuz_r3_validation_checks_v1.0.3-1.xlsx
	- úprava validácií NBS_CN1080, NBS_CN1200, NBS_CN1580,NBS_CN1600,NBS_CN1610,NBS_CN1620,NBS_CN1655 v súvislosti so zmenou číselníka CL_NBS_INSTRMNT_STTS_CLLCTN 
- rbuz_r3_error_codes_v1.0.3-1.xlsx 
    	- upravený chybový kód E1022 

v. 1.0.3 (2020-04-16):
Úpravy vo formulároch:
- request\result:
	- pridaný formulár RemapInstrument
	- pridaný atribút DT_RFRNC_SPCFC pre formulár DeleteCreditData
	- do súhrnného a individuálneho výpisu bol pridaný atribút Počet: Stav nástroja a Stav nástroja
	- zmena názvu Portfolio_CounterpJointLiab na Portfolio_CounterpartyJointLiab
- submission
	- pridaný kód 12 do číselníka CL_NBS_INSTRMNT_STTS_CLLCTN v tabuľke InstrumentData
	- aktualizácia ECB číselníkov Legal forms, National identifiers a NUTS3
	
Úpravy v dokumentácii: 
- rbuz_r3_error_codes_v1.0.3.xlsx 
    	- pridané chybové kódy 
- rbuz_r3_datasets_and_codelists_v1.0.3.xlsx
	- úpravy v súlade s pridaním formulárov
	- aktualizácia ECB číselníkov Legal forms, National identifiers a NUTS3
- rbuz_r3_validation_checks_v1.0.3.xlsx
	- úprava validácií NBS_CN1080, NBS_CN1200, NBS_CN1580,NBS_CN1600,NBS_CN1610,NBS_CN1620 v súvislosti so zmenou číselníka CL_NBS_INSTRMNT_STTS_CLLCTN 
 	- pridaná nová validácia NBS_CN1655 v súvislosti so zmenou číselníka CL_NBS_INSTRMNT_STTS_CLLCTN
- RBUZ R3 - Prenosove formaty v2.3.pdf 
	- rozšírenie funkcionality formulára DeleteCreditData o výmaz záznamov za konkrétny referenčný dátum
	- pridanie nového formulára RemapInstrument, ktorý umožňujem zmenu identifikátora nástroja a/alebo identifikátora zmluvy

v. 1.0.2-1 (2020-01-08):
Úpravy v dokumentácii: 
- rbuz_r3_validation_checks_v1.0.2-1.xlsx
	- implementácia ECB Validation checks v.1.5.

v. 1.0.2 (2019-06-04):
Úpravy vo formulároch:
- submission
	- aktualizácia ECB číselníkov Legal forms a National identifiers	
	- pridaná možnosť použitia TYP_ENTTY_CD = ICO_NI pre odblokované duplicitné subjekty
- request\result:
	- pridané formuláre: BlockedSubjectList, DuplicatedSubjectList, InstrumentHistory
	
Úpravy v dokumentácii: 
- RBUZ R3 - Prenosove formaty v2.2.pdf 
	- nová verzia dokumentácie o prenosových formátoch v2.2
- rbuz_r3_validation_checks_v1.0.2.xlsx
	- implementácia ECB validačných kontrol verzie 1.4
- rbuz_r3_error_codes_v1.0.2.xlsx 
    - pridané chybové kódy E1215, E1216
- rbuz_r3_datasets_and_codelists_v1.0.2.xlsx
	- úpravy v súlade s pridaním nových formulárov

v. 1.0.1 (2019-01-11):
Úpravy vo formulároch:
- submission
	- pridané kódy 10, 11 do číselníka CL_NBS_INSTRMNT_STTS_CLLCTN v tabuľke InstrumentData
	- upravené obmedzenia pre atribút Accrued Interest v tabuľke FinancialData
- result
	- pridaný atribút NBS_LST_UPDTD do kreditných tabuliek formulára Portfolio (Instrument, Financial, 
	CounterpartyInstrument, CounterpartyJointLiability, Accounting, Protection, InstrumentProtection, 
	CounterpartyRisk, CounterpartyDefault)
- log
	- pridaný atribút ENTTY_RL do log súboru
	
Úpravy v dokumentácii:    
- rbuz_r3_validation_checks_v1.0.1.xlsx
	- pridané NBS validácie NBS_CN1570 až NBS_CN1650
	- odstránená NBS validácia NBS_CN1010
	- upravené NBS validácie NBS_CN1020, NBS_CN1080, NBS_CN1140, NBS_CN1150, NBS_CN1160, NBS_CN1170, NBS_CN1200
	- odstránené validácie CN0070, CN0090, CN0100, CN0120, CN0130, CN0320, CN0420, CN0802, CN0808, CN0832, CN0833, CN0875, CN0914
- rbuz_r3_error_codes_v1.0.1.xlsx 
    - pridané chybové kódy E0137, E0138, E1214, W0004
- rbuz_r3_datasets_and_codelists_v1.0.1.xlsx
	- úpravy v súlade so zmenami vo formulároch
	
	
v. 1.0.0 (2018-09-20):
Úpravy vo formulároch:
- submission
	- pridané kódy 8, 9 do číselníka CL_NBS_INSTRMNT_STTS_CLLCTN 
	- pridané kódy CY_CBCID_CD, CY_OTHER_CD, FR_IF_CD, LU_NOTAP_CD do číselníka CL_ECB_TYP_NTNL_CD_CLLCTN
	- odstránený kód CY_NOTAP_CD z číselníka CL_ECB_TYP_NTNL_CD_CLLCTN
	- pridané kódy BE000, DE604, HR62, LU34 do číselníka CL_LGL_FRM_CLLCTN
	- odstránené kódy FR0110, FR0120, FR1100, FR1200, FR1300, FR1400, FR1500, FR1600, FR1700, FR1800, FR3110, FR3120, FR3205, FR3210, FR3220, FR3290, HU226, HU611, LU23, LU24, LU28, LU30, LV902, RO120, SI801, SK421, SK931 z číselníka CL_LGL_FRM_CLLCTN, ktoré sa týkali zahraničných pobočiek a neboli relevantné pre AnaCredit

Úpravy v dokumentácii:
- rbuz_r3_error_codes_v1.0.0.xlsx 
    - pridané kódy pre spracovanie kreditných údajov: E1024, E1211, E1212, E1213, W1300, W0003
	- zmena v popise ku kódu: E1021
	
- rbuz_r3_validation_checks_v1.0.0.xlsx
	- pridané NBS validácie NBS_CN1220 až NBS_CN1560
	- zmena v popise pre validácie NBS_CN1180, NBS_CN1090, NBS_CN1210, NBS_CN1200
	- odstránené validácie CN0842, CN0913, CN0540, CN0550, CN0829
	
v. 0.7.9 (2018-06-26):
Úpravy vo formulároch:
- submission
	- rozšírený číselník SK_CL_LGL_PRCDNG_STTS_CLLCTN
	- upravený typ attribútu RL_ESTT_CLLTRL_LCTN vo formulári "ProtectionReceivedDataset" na string
- request
	- pridaný formulár "DeleteCreditData"
	súčasťou sú XSD schémy a vzorové XML, XLSX

Úpravy v dokumentácii:
- rbuz_r3_error_codes_v0.7.8-1.xlsx 
    - pridané kódy pre spracovanie kreditných údajov: E1022, E1024, E1023, E1210, W1206
    - pridané kódy E0135 a E0136 pre chyby validácií
- RBUZ R3 - Prenosove formaty v2.0.pdf
    - nová verzia, zmeny sú popísané v dokumente

		
v. 0.7.8-1 (2018-05-07):
Úpravy v dokumentácii:
- rbuz_r3_error_codes_v0.7.8-1.xlsx 
    - pridané kódy pre spracovanie kreditných údajov: E1200, E1201, E1202, E1203, E1204, E1205, E1206, E1207, E1208, E1300, W1204, W1205
- rbuz_r3_validation_checks_v0.7.8-1.xlsx
    - nový súbor s kódmi a definíciami kontrol


v. 0.7.8 (2018-02-21):
Úpravy vo formulároch:
- submission
	- pridaný nový atribút "NBS_INSTRMNT_STTS" vo formulári "InstrumentDataset"
	- odstránený atribút "NBS_HS_FRGN_BRNCH" vo formulári "CounterpartyDataset"
	- pridaný číselník typu "NON-ECB" pre atribút "LGL_FRM" vo formulári "CounterpartyDataset"
	- rozšírený číselník CL_LGL_PRCDNG_STTS_CLLCTN
	- aktualizovaný číselník CL_LGL_FRM_CLLCTN
	- aktualizovaný číselník CL_ECB_TYP_NTNL_CD_CLLCTN
	- upravené názvy pre atribúty STRT, NBS_BLDNG_NMBR, CTY, TRRTRL_UNT, PSTL_CD, CNTRY vo formulári "CounterpartyDataset"
	  súčasťou úprav je zmena XSD schémy a vzorových XML, XLSX
	
- request
	- pridaný formulár "CreditData"
	- pridaný formulár "Portfolio"
	súčasťou sú XSD schémy a vzorové XML, XLSX
	
- result
	- pridaný formulár "CreditDataIndividual"
	- pridaný formulár "CreditDataAggregated"
	- pridaný formulár "Portfolio"
	súčasťou sú XSD schémy a vzorové XML, XLSX
	

Úpravy v dokumentácii:
- rbuz_r3_error_codes_v0.7.8.xlsx 
	- pridané kódy E0133, E0134 pre chyby validácie
	- pridaný kód E1007 pre limitovanie počtu dopytov
	- aktualizovaný popis pre kód E0127
- rbuz_r3_datasets_and_codelists_v0.7.8.xlsx
	- úpravy v súlade zo zmenami vo formulároch
- RBUZ R3 - Prenosove formaty v1.9.pdf
    - nová verzia, zmeny sú popísané v dokumente
	

v. 0.7.7 (2017-12-12):
Úpravy vo formulároch:
- submission
	- pridaný nový atribút "NBS_HS_FRGN_BRNCH" vo formulári "CounterpartyDataset"
	  súčasťou úpravy je zmena XSD schémy a vzorových XML, XLSX
	- číselník "NACE" - odstránené kódy prvej úrovne
        - všetky číselníky - odstránené neplatné kódy
- request
	- upravené hodnoty číselníka v excelovskom formulári "ForeignSubjectList" pre atribút "Spracuj požiadavku"
	
- log
	- pridaný nový atribút "ErrorContext" pre chybové kódy na úrovni súboru 
	  súčasťou úpravy je zmena XSD schémy a vzorového XML
	  
Úpravy v dokumentácii:
- rbuz_r3_error_codes_v0.7.7.xlsx 
	- pridané kódy E1018, I1015 pre spätnú kompatibilitu
	- pridané kódy E1005 a E1006 pre limitovanie požiadaviek
	- pridané kódy E0127, E0128, E0129, E0130, E0131, E0132 pre chyby validácií
	- pridaný kód W0002 pre upozornenie na nekonzistentné dáta
        - odstránený kód E0110
- RBUZ R3 - Prenosove formaty v1.8.pdf 
	- nová verzia dokumentácie o prenosových formátoch v1.8

v. 0.7.6
Úpravy v dokumentácii:
- výrazne prerobená a rozšírená dokumentácia
- pridaný popis balíčka prenosových formátov
- pridaný zoznam formulárov
- úpravy v error kodoch
	- v registrácii NIC - upravená informácia o zamietnutí na chybu
- pridaná kapitola o povolených znakoch

Úpravy vo formátoch:
- pridaný nový vstupný a výstupný formulár "ForeignSubjectList" pre dopyt na údaje o SK nerezidentoch
- pridané atribúty do result formátu - SubjectData
	NTNL_CD
	TYP_NTNL_CD
	HD_OFFC_UNDRTKNG_CD
	TYP_HD_OFFC_UNDRTKNG_CD
	NBS_INSTTTNL_SCTR_CL_TYP
	INSTTTNL_SCTR
	ECNMC_ACTVTY

Úpravy v log súbore pre xlsx:
- zmenené poradie a obsah stlpcov kvoli lepšej čitateľnosti
- stĺpce pre chyby a kódy sú presunuté na začiatok
- pridané automatické filtrovanie pre každý stĺpec
- farebné odlíšenie chyby, upozornenia a informácie
- upravené šírky stĺpcov
- pridaný hárok hlavička - Document header
    
Úpravy vo vzorových príkladoch:
- príklady pre požiadavky request sú samostatne pre každý request

v. 0.7.5 (2017-08-24):
- upravené chybové kódy

v. 0.7.4 (2017-08-22):
Úpravy v dokumentácii:
- nový dokument "rbuz_r3_error_codes_v0.7.4.xlsx" - zoznam chybových kódov použitých vo výsledku spracovania
- v dokumente RBUZ R3 - Prenosove formaty v1.6 pridaná kapitola "1.3.1 NIČ – Nerezidentské identifikačné číslo" o novom formáte NIČ 
- v dokumente RBUZ R3 - Prenosove formaty v1.6 pridaná kapitola "1.5.1 Chybové kódy" 
- v dokumente "rbuz_r3_datasets_and_codelists_v0.7.4.xlsx" doplnené stĺpce "min","max","restriction", 
ktoré špecifikujú validácie pre atribúty

Úpravy vo vzorových formátoch:
- pre .xlsx formát prednastavený  požadovaný formát bunky aj pre nevyplnené riadky


v. 0.7.3 (2017-08-02):
Úpravy v atribútoch:
- DT_BRTH(CounterpartyDataset) - premiestnený vrámci datasetu na pozíciu id=83
- DT_CLS(CounterpartyDataset) - premiestnený vrámci datasetu na pozíciu id=86
- NBS_CRRNT_NSTLMNT(InstrumentDataset) - vymazaný
- NBS_CRRNT_INSTLMNT(FinancialDataset) - pridaný na pozíciu id=85
- NBS_CNVRSN_FCTR(AccountingDataset) - pridaný na pozíciu id=235
- NBS_INSTTTNL_SCTR_CL_TYP(CounterpartyDataset) - pridaný na pozíciu id=236
- INSTTTNL_SCTR(CounterpartyDataset) - upravené použitie číselníkov
- atribúty NBS_SMBSSN_TYP, DT_RFRNC - vymazané z datasetu Counterparty

Pridané formáty:
- informácia o výsledku spracovania zaslaného súboru
  - rbuz_r3_log_v0.7.3_sample1.xlsx
  - rbuz_r3_log_v0.7.3_sample1.xml
  - rbuz_r3_log_v0.7.3.xsd

- požiadavka na údaje (zatiaľ prvé dva typy)
  - rbuz_r3_request_v0.7.3_sample1.xlsx
  - rbuz_r3_request_v0.7.3_sample1.xml
  - rbuz_r3_request_v0.7.3.xsd

- údaje poskytnuté z RBUZ podľa požiadavky (zatiaľ prvé dva typy)
  - rbuz_r3_result_v0.7.3_sample1.xlsx
  - rbuz_r3_result_v0.7.3_sample1.xml
  - rbuz_r3_result_v0.7.3.xsd



v. 0.7.2 (2017-05-23):
Pridané nové atribúty do tabuľky Counterparty reference data (Table 1):
DT_BRTH - birth date
DT_CLS - close date

Ďalšie úpravy:
- aktualizácia, úprava číselníkov (Table 1 - NUTS3, Table 7 - Type Of Protection)
- zmenený názov ACCNTNG_FRMWK_SL na ACCNTNG_FRMWRK_SL 
- zmenený názov "Dokumentárne akreditívy" na "Akreditívy"
- upravené triedenie číselníkov
- zjednotené číselníky CL_NBS_LGL_FRM_CL_TYP_CLLCTN a CL_NBS_LGL_PRCDNG_STTS_CL_TYP_CLLCTN do jednotného CL_NBS_CL_TYP
 
v zozname atribútov:
- samostatný hárok pre každý číselník 
- pre atribúty s možnosťou výberu číselníka je pridaný stĺpec pre SK - číselník
- upravené názvy tabuliek 
- upravené hlavičky pre hárky s číselníkmi 
- pridané číslovanie atribútov 
v xlsx sample:
- zrušené používanie validácie v hlavičke tabuľky
- pre atribúty s možnosťou výberu číselníka je pridaná predpona SK, ECB na rozlíšenie pri výbere

- Dokument "RBUZ_R3_Prenosove_formaty_v1.4.pdf" zostáva v platnosti



v. 0.7.1 (2017-04-26):
- upravené SK hodnoty v číselníku "Type of Instrument"
- upravené poradie atribútov podľa Nariadenia resp. Dokumentu o národných voľbách
- upravené SK preklady pre atribúty "Stav zlyhania nástroja", "Dátum stavu zlyhania nástroja", "Stav zlyhania protistrany", "Dátum stavu zlyhania protistrany", "Popis identifikátora typu iný"
- xsd - typ schemaVersion zmenené na xs:string
- xlsx sample - pridané formátovanie  pre typ "dátum" a "string"
- Dokument "RBUZ_R3_Prenosove_formaty_v1.4.pdf" zostáva v platnosti aj pre verziu 0.7.1


v. 0.7 (2017-04-20):
- prvá verzia, draft
- záznamy vo vzorových súboroch neobsahujú reálne dáta